Debian Bug report logs - #356079
tetex-bin: updated poppler patch for poppler 0.5.1

version graph

Package: tetex-bin; Maintainer for tetex-bin is (unknown);

Reported by: Martin Pitt <martin.pitt@ubuntu.com>

Date: Thu, 9 Mar 2006 16:18:13 UTC

Severity: wishlist

Tags: patch

Fixed in version texlive-bin/2007-8

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356079; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <martin.pitt@ubuntu.com>:
New Bug report received and forwarded. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <martin.pitt@ubuntu.com>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: tetex-bin: updated poppler patch for poppler 0.5.1
Date: Thu, 9 Mar 2006 17:08:54 +0100
[Message part 1 (text/plain, inline)]
Package: tetex-bin
Severity: wishlist
Tags: patch

Hi Frank!

We upgraded to poppler 0.5.1 in Ubuntu, which grew a better unicode
string handling. Unfortunately this broke the API a bit, so that the
patch needs updating.

I attach the new patch-poppler, and an interdiff between the old and
new one.

I'll file it here so that it doesn't get lost.

Thanks,

Martin
-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org

In a world without walls and fences, who needs Windows and Gates?
[tetex-bin.patch-poppler.poppler-0.5.1.diff (text/plain, attachment)]
[patch-poppler (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#356079; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 356079@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Martin Pitt <martin.pitt@ubuntu.com>, 356079@bugs.debian.org
Subject: Re: Bug#356079: tetex-bin: updated poppler patch for poppler 0.5.1
Date: Sun, 12 Mar 2006 15:35:41 +0100
Dear Martin!

On Don, 09 Mär 2006, Martin Pitt wrote:
> We upgraded to poppler 0.5.1 in Ubuntu, which grew a better unicode
> string handling. Unfortunately this broke the API a bit, so that the
> patch needs updating.
> 
> I attach the new patch-poppler, and an interdiff between the old and
> new one.

Thanks for the patch (I too use them for the texlive packages). One
question: I guess we can only use the patch as soon as poppler 0.5.1 is
in unstable, it is not downward compatible?

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
AFFPUDDLE (n.)
A puddle which is hidden under a pivoted paving stone. You only know
it's there when you step on the paving stone and the puddle shoots up
your leg.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#356079; Package tetex-bin. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 356079@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Martin Pitt <martin.pitt@ubuntu.com>, 356079@bugs.debian.org
Subject: Re: Bug#356079: tetex-bin: updated poppler patch for poppler 0.5.1
Date: Wed, 18 Oct 2006 23:40:41 +0200
On 09.03.06 Martin Pitt (martin.pitt@ubuntu.com) wrote:

Hi,

> We upgraded to poppler 0.5.1 in Ubuntu, which grew a better unicode
> string handling. Unfortunately this broke the API a bit, so that
> the patch needs updating.
> 
> I attach the new patch-poppler, and an interdiff between the old
> and new one.
> 
Just for the records:
http://lists.debian.org/debian-tex-maint/2006/10/msg00026.html ff.

It won't happen before etch.

H.
-- 
sigmentation fault



Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <martin.pitt@ubuntu.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 356079-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 356079-close@bugs.debian.org
Subject: Bug#356079: fixed in texlive-bin 2007-8
Date: Wed, 23 May 2007 16:02:24 +0000
Source: texlive-bin
Source-Version: 2007-8

We believe that the bug you reported is fixed in the latest version of
texlive-bin, which is due to be installed in the Debian FTP archive:

libkpathsea-dev_2007-8_i386.deb
  to pool/main/t/texlive-bin/libkpathsea-dev_2007-8_i386.deb
libkpathsea4_2007-8_i386.deb
  to pool/main/t/texlive-bin/libkpathsea4_2007-8_i386.deb
texlive-base-bin_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-base-bin_2007-8_i386.deb
texlive-bin_2007-8.diff.gz
  to pool/main/t/texlive-bin/texlive-bin_2007-8.diff.gz
texlive-bin_2007-8.dsc
  to pool/main/t/texlive-bin/texlive-bin_2007-8.dsc
texlive-extra-utils_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-extra-utils_2007-8_i386.deb
texlive-font-utils_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-font-utils_2007-8_i386.deb
texlive-lang-indic_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-lang-indic_2007-8_i386.deb
texlive-metapost_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-metapost_2007-8_i386.deb
texlive-music_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-music_2007-8_i386.deb
texlive-omega_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-omega_2007-8_i386.deb
texlive-xetex_2007-8_i386.deb
  to pool/main/t/texlive-bin/texlive-xetex_2007-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 356079@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-bin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 May 2007 14:17:19 +0200
Source: texlive-bin
Binary: texlive-extra-utils libkpathsea-dev libkpathsea4 texlive-xetex texlive-lang-indic texlive-omega texlive-font-utils texlive-metapost texlive-base-bin texlive-music
Architecture: source i386
Version: 2007-8
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 libkpathsea-dev - TeX Live: path search library for TeX (development part)
 libkpathsea4 - TeX Live: path search library for TeX (runtime part)
 texlive-base-bin - TeX Live: Essential binaries
 texlive-extra-utils - TeX Live: TeX auxiliary programs
 texlive-font-utils - TeX Live: TeX font-related programs
 texlive-lang-indic - TeX Live: Indic
 texlive-metapost - TeX Live: MetaPost (and Metafont) drawing packages
 texlive-music - TeX Live: Music typesetting
 texlive-omega - TeX Live: Omega
 texlive-xetex - TeX Live: XeTeX macros
Closes: 241089 249085 356079 420139 420971 421969 423988 423990 424031 424658 425065 425272
Changes: 
 texlive-bin (2007-8) unstable; urgency=low
 .
   * lang-indic: move bangfont.tex from doc to run files (Closes: #424031)
   * lang-indic: add missing python header to ebong script (Closes: #423990)
   * dpkg_md5sum in common-functions.preinst returns now the empty string
     in case of an unknown conffile (could have been created by touch).
     This should fix Ubuntu bug 111654. [np]
   * Build with --enable-ipc to allow piping of output [fk]
   * Build shared kpathsea library and include it in separate packages [fk]
   * move bin-thumbpdf to texlive-base-bin (Closes: #424658) [np]
   * texlive-extra-utils suggests gs-* for epstopdf (Closes: #423988) [np]
   * replace patches/30_libpoppler with patches/30_libpoppler_new for
     new libpoppler 0.5, make the build-dep libpoppler-dev (>= 0.5.4)
     (Closes: #425065, #356079)
   * add stricter dependencies to all packages: if in the final shipout
     dep on a texlive package there is no version given, the value of
     latest-version (from tpm2deb.cfg) of the source package is taken.
     (Closes: #421969)
   * remove cruft from control files (cweb, ctie, texdoctk)
     (Closes: #241089, #249085)
   * don't leave copies of conffiles in TEXMFDIST (Closes: #420139)
   * add poppler to the pdftex banner (Closes: #420971)
   * texlive-lang-indic depends on python
   * remove the rpath entry in all the binaries
   * add patch 64_fix_makempx_installation to fix the installation
     of makempx script instead of the binary (thanks Sanjoy Mahajan)
   * rework the xdvi conf file handling code to not "preserve removal"
     when upgrading from older texlive versions (Closes: #425272)
   * format generation reworked:
     - texlive-base-bin does not provide formats anymore since all the
       respective ini files are in texlive-base
     - texlive-base takes the format generation
Files: 
 cb6c93a62aaaefed5e8de5422a5d8d92 1150 tex optional texlive-bin_2007-8.dsc
 a383025ac56994336bccad1ccbca1394 145854 tex optional texlive-bin_2007-8.diff.gz
 181ad28900a70045686f4cf784dc004e 10939154 tex optional texlive-base-bin_2007-8_i386.deb
 b9afab2d4d6f926ead89c35335e6f1bf 560888 tex optional texlive-extra-utils_2007-8_i386.deb
 0fa809ca5e6ec1ce824eac961cdee88a 957636 tex optional texlive-font-utils_2007-8_i386.deb
 e1357363a97f7c766b2c5dabf00a3496 7405250 tex optional texlive-metapost_2007-8_i386.deb
 63dca3f302562a81a644e3e92450cfce 2663970 tex optional texlive-omega_2007-8_i386.deb
 cca1e18596ab9c363e15ed67047eb35e 6360476 tex optional texlive-xetex_2007-8_i386.deb
 d3c95ab1e3c37bcf849749287297d5c0 1710510 tex optional texlive-music_2007-8_i386.deb
 72dd9d18ef4ad3100c0f10f09a622d44 6697850 tex optional texlive-lang-indic_2007-8_i386.deb
 8582191bbe2b64164b705341325068f4 108078 tex optional libkpathsea4_2007-8_i386.deb
 3d3e575804978b13b7be1331b4f3c502 145688 tex optional libkpathsea-dev_2007-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGUxOp0r9KownFsJQRAi2xAJ9fyHnOEE4VDmN1FMilLEEvDesbIgCcDcGR
vyIpeSWqsCM6jny3z73IOUQ=
=cEbK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 16:56:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:16:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.